VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Techpreview::Networking::Routes Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Routes:

## Classes
class | Message
class | MessageStatus
class | Route
class | RouteReadOnly
class | TestStatus
class | TestStatusInfo

## Avaliable Methods
public method | test ()
public method | add ()
public method | delete ()
public method | new ()
public method | list ()
public method | set ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Routes` interface provides methods* Performs networking routes operations.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::add | ( |  | ) |

Set static routing rules. A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Parameters

  route | [REQUIRED] Static routing rule. . The value must be Com::Vmware::Appliance::Techpreview::Networking::Routes::Route.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in add: 10
sub add {
my ($self, %args) = @_;
my $route = $args {route};
$self->validate_args (method_name => 'add',
method_args => \%args);
return $self->invoke (method_name => 'add',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::delete | ( |  | ) |

Delete static routing rules.

Parameters

  route | [REQUIRED] Static routing rule. . The value must be Com::Vmware::Appliance::Techpreview::Networking::Routes::Route.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in delete: 10
sub delete {
my ($self, %args) = @_;
my $route = $args {route};
$self->validate_args (method_name => 'delete',
method_args => \%args);
return $self->invoke (method_name => 'delete',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::list | ( |  | ) |

Get main routing table. A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Return values

  Routing | table. The return type will be Array of Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::set | ( |  | ) |

Set static routing rules. A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Parameters

  routes | [REQUIRED] Static routing rules. . The value must be Array of Com::Vmware::Appliance::Techpreview::Networking::Routes::Route.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in set: 10
sub set {
my ($self, %args) = @_;
my $routes = $args {routes};
$self->validate_args (method_name => 'set',
method_args => \%args);
return $self->invoke (method_name => 'set',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::test | ( |  | ) |

Test connection to a list of gateways

Parameters

  gateways | [REQUIRED] list of gateways. . The value must be Array of String.

Return values

  connection | status The return type will be Com::Vmware::Appliance::Techpreview::Networking::Routes::TestStatusInfo

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in test: 10
sub test {
my ($self, %args) = @_;
my $gateways = $args {gateways};
$self->validate_args (method_name => 'test',
method_args => \%args);
return $self->invoke (method_name => 'test',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Routes.pm